SessionCountingListener (Apache Geode 1.3.0)
Date: 2017-10-26

org.apache.geode.modules.session

## Class SessionCountingListener

- java.lang.Object
- - org.apache.geode.modules.session.ListenerStoredInSessionContext
  - - org.apache.geode.modules.session.SessionCountingListener

- All Implemented Interfaces:
    java.util.EventListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener

      public class SessionCountingListener
      extends ListenerStoredInSessionContext
      implements javax.servlet.http.HttpSessionListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionCountingListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSessionCreates()`
    `int` | `getSessionDestroys()`
    `void` | `sessionCreated(javax.servlet.http.HttpSessionEvent se)`
    `void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent se)`

    - ### Methods inherited from class org.apache.geode.modules.session.ListenerStoredInSessionContext

      `contextDestroyed, contextInitialized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionCountingListener

          public SessionCountingListener()

  - ### Method Detail

    - #### sessionCreated

          public void sessionCreated(javax.servlet.http.HttpSessionEvent se)

      Specified by:
        `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

    - #### sessionDestroyed

          public void sessionDestroyed(javax.servlet.http.HttpSessionEvent se)

      Specified by:
        `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

    - #### getSessionCreates

          public int getSessionCreates()

    - #### getSessionDestroys

          public int getSessionDestroys()